Subject: Re: [DNA] Bootstrapping router knowledge for landmark-based DNA proposal

From: Greg Daley <[email-masked]>
Date: Mon, 18 Jul 2005 21:39:13 +1000

Hi Brett, 

----- Original Message -----
From: Brett Pentland <[email-masked]>
Date: Monday, July 18, 2005 6:26 pm
Subject: Re: [DNA] Bootstrapping router knowledge for landmark-based 
DNA proposal
> 
> >> - Not include a Landmark Option in responses if the answer is
> >>      NO (though there does seem to be support for allowing
> >>      responses if the answer is YES - probably as a MAY)
> 
> I was putting this bootstrapping stuff into draft -01 and have
> just submitted it, but I've had to leave out the optional YES
> response for now because I came across an issue with it.
> 
> How would the timing go for one of these yes responses during
> bootstrap?  I think it's probably not a great idea to give a
> fast response yet because during bootstrap we can't be sure
> that we know all of the other routers on the link. It may be
> possible to go fast as the consequence of choosing the same
> time slot as another router is just a higher probability of a
> collision, not a guarantee of it.
> 
> If we choose not to allow the fast response, then is it worth
> having the yes answer at all rather than just doing the RFC 2461
> style response and letting the host fall back on CPL?
> 
> Anyone have any thoughts on this?
> Brett.

I'll have to admit that I don't think in my RADVD hack, my checking
of the DNA Fast Routers list is as strong as the timers for 
link identification (so I'm not sure I've seen the issue).

Given that the host is actually asking about a known landmark though,
and the router is capable of correctly answering it, answering "Yes"
is a legitimate thing to do, regardless of the time required to do so.

In this case, it may not be something that you encourage, 
but saying something against it is just going to take text
(unless there's a blanket "behave like 2461" statement).

Greg